AnsweredAssumed Answered

How to Reposition Drawing views by view Name

Question asked by Vinoth Kanna on Dec 27, 2020
Latest reply on Dec 29, 2020 by Nilesh Patel

Dear All,

I am trying to reposition drawing view based upon user selection in VBA Form.

I am using below code, Which is cable of selecting the view but Position command used below is not moving the selected view.

 

I need a code to reposition drawing view by Name.

 

Code i am using:

 

boolstatus = swModel.ActivateView("Pipe Edge Prepration>22")
boolstatus = swModel.Extension.SelectByID2("Pipe Edge Prepration>22", "DRAWINGVIEW", 0, 0, 0, False, 0, Nothing, 0)
dArr(0) = 0.011
dArr(1) = 0.01525
vPos = dArr
swView.Position = vPos

 

Thanks & Regards,

Vinoth Kanna.D

Outcomes